OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_Array1OfHAsciiString Class Reference

`#include <Interface_Array1OfHAsciiString.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_Array1OfHAsciiString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Interface_Array1OfHAsciiString (const Handle(TCollection_HAsciiString)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&V)
Standard_EXPORT void | Destroy ()
| ~Interface_Array1OfHAsciiString ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Interface_Array1OfHAsciiString & | Assign (const Interface_Array1OfHAsciiString &Other)
const Interface_Array1OfHAsciiString & | operator= (const Interface_Array1OfHAsciiString &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TCollection_HAsciiString)&Value)
const Handle_TCollection_HAsciiString & | Value (const Standard_Integer Index) const
const Handle_TCollection_HAsciiString & | operator() (const Standard_Integer Index) const
Handle_TCollection_HAsciiString & | ChangeValue (const Standard_Integer Index)
Handle_TCollection_HAsciiString & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | Interface_Array1OfHAsciiString (const Interface_Array1OfHAsciiString &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Interface_Array1OfHAsciiString::Interface_Array1OfHAsciiString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Interface_Array1OfHAsciiString::Interface_Array1OfHAsciiString | ( | const Handle(TCollection_HAsciiString)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Interface_Array1OfHAsciiString::~Interface_Array1OfHAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT Interface_Array1OfHAsciiString::Interface_Array1OfHAsciiString | ( | const Interface_Array1OfHAsciiString & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Interface_Array1OfHAsciiString& Interface_Array1OfHAsciiString::Assign | ( | const Interface_Array1OfHAsciiString & | Other | ) |

Handle_TCollection_HAsciiString& Interface_Array1OfHAsciiString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Interface_Array1OfHAsciiString::Destroy | ( |  | ) |

Standard_EXPORT void Interface_Array1OfHAsciiString::Init | ( | const Handle(TCollection_HAsciiString)& | V | ) |

Standard_Boolean Interface_Array1OfHAsciiString::IsAllocated | ( |  | ) | const

Standard_Integer Interface_Array1OfHAsciiString::Length | ( |  | ) | const

Standard_Integer Interface_Array1OfHAsciiString::Lower | ( |  | ) | const

void Interface_Array1OfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_Array1OfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_Array1OfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TCollection_HAsciiString& Interface_Array1OfHAsciiString::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_TCollection_HAsciiString& Interface_Array1OfHAsciiString::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Interface_Array1OfHAsciiString& Interface_Array1OfHAsciiString::operator= | ( | const Interface_Array1OfHAsciiString & | Other | ) | `[inline]`

void Interface_Array1OfHAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TCollection_HAsciiString)& | Value
| ) |

Standard_Integer Interface_Array1OfHAsciiString::Upper | ( |  | ) | const

const Handle_TCollection_HAsciiString& Interface_Array1OfHAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Interface_Array1OfHAsciiString::isAllocated`[private]`

Standard_Integer Interface_Array1OfHAsciiString::myLowerBound`[private]`

Standard_Address Interface_Array1OfHAsciiString::myStart`[private]`

Standard_Integer Interface_Array1OfHAsciiString::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- Interface_Array1OfHAsciiString.hxx